For the complete documentation index, see llms.txt. This page is also available as Markdown.

Products

Get Product from ChargePlan Id

get
Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstring · uuidRequired
Header parameters
api-versionstringOptional
Responses
200

Success

application/json
idstring · uuidOptional
productNumberstring · nullableOptional
namestring · nullableOptional
productTypestring · enumOptionalPossible values:
categorystring · nullableOptional
activationDatestring · date-time · nullableOptional
endOfNewSalesDatestring · date-time · nullableOptional
endOfRenewalDatestring · date-time · nullableOptional
endOfLifeDatestring · date-time · nullableOptional
isFrameworkProductbooleanOptional
externalERPIdstring · nullableOptional
externalCRMIdstring · nullableOptional
createdstring · date-timeOptional
modifiedstring · date-timeOptional
legalEntityIdstring · uuidOptional
get/Products/FromChargePlan/{id}
GET /Products/FromChargePlan/{id} HTTP/1.1
Host: api.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "productNumber": "text",
  "name": "text",
  "productType": "Simple",
  "category": "text",
  "activationDate": "2026-01-01T00:00:00.000Z",
  "endOfNewSalesDate": "2026-01-01T00:00:00.000Z",
  "endOfRenewalDate": "2026-01-01T00:00:00.000Z",
  "endOfLifeDate": "2026-01-01T00:00:00.000Z",
  "isFrameworkProduct": true,
  "chargePlans": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "chargePlanNumber": "text",
      "name": "text",
      "effectiveStartDate": "2026-01-01T00:00:00.000Z",
      "endOfNewSalesDate": "2026-01-01T00:00:00.000Z",
      "effectiveEndDate": "2026-01-01T00:00:00.000Z",
      "charges": [
        {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "chargeNumber": "C-000001",
          "name": "text",
          "model": "Flat",
          "chargeType": "OneOff",
          "unitCode": "text",
          "defaultQuantity": 1,
          "pricePeriod": "Monthly",
          "usageRating": "Sum",
          "createInvoiceLinesPerTier": true,
          "billingDay": "None",
          "specificBillingDay": 1,
          "billingPeriod": "Monthly",
          "periodAlignment": "None",
          "billingTiming": "InAdvance",
          "taxTemplate": "text",
          "taxIncluded": true,
          "externalERPId": "text",
          "externalCRMId": "text",
          "created": "2026-01-01T00:00:00.000Z",
          "modified": "2026-01-01T00:00:00.000Z",
          "revenueRecognition": "text",
          "deferredRevenueAccount": "text",
          "recognizedRevenueAccount": "text",
          "customFields": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "priceDetails": [
            {
              "currency": "text",
              "price": 1,
              "tier": 1,
              "description": "text",
              "fromQuantity": 1,
              "toQuantity": 1,
              "priceBase": "Flat"
            }
          ],
          "features": [
            {
              "code": "text",
              "description": "text"
            }
          ]
        }
      ],
      "customFields": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "created": "2026-01-01T00:00:00.000Z",
      "modified": "2026-01-01T00:00:00.000Z"
    }
  ],
  "externalERPId": "text",
  "externalCRMId": "text",
  "created": "2026-01-01T00:00:00.000Z",
  "modified": "2026-01-01T00:00:00.000Z",
  "legalEntityId": "123e4567-e89b-12d3-a456-426614174000",
  "customFields": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  }
}

Get Product from Charge Id

get
Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstring · uuidRequired
Header parameters
api-versionstringOptional
Responses
200

Success

application/json
idstring · uuidOptional
productNumberstring · nullableOptional
namestring · nullableOptional
productTypestring · enumOptionalPossible values:
categorystring · nullableOptional
activationDatestring · date-time · nullableOptional
endOfNewSalesDatestring · date-time · nullableOptional
endOfRenewalDatestring · date-time · nullableOptional
endOfLifeDatestring · date-time · nullableOptional
isFrameworkProductbooleanOptional
externalERPIdstring · nullableOptional
externalCRMIdstring · nullableOptional
createdstring · date-timeOptional
modifiedstring · date-timeOptional
legalEntityIdstring · uuidOptional
get/Products/FromCharge/{id}
GET /Products/FromCharge/{id} HTTP/1.1
Host: api.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "productNumber": "text",
  "name": "text",
  "productType": "Simple",
  "category": "text",
  "activationDate": "2026-01-01T00:00:00.000Z",
  "endOfNewSalesDate": "2026-01-01T00:00:00.000Z",
  "endOfRenewalDate": "2026-01-01T00:00:00.000Z",
  "endOfLifeDate": "2026-01-01T00:00:00.000Z",
  "isFrameworkProduct": true,
  "chargePlans": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "chargePlanNumber": "text",
      "name": "text",
      "effectiveStartDate": "2026-01-01T00:00:00.000Z",
      "endOfNewSalesDate": "2026-01-01T00:00:00.000Z",
      "effectiveEndDate": "2026-01-01T00:00:00.000Z",
      "charges": [
        {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "chargeNumber": "C-000001",
          "name": "text",
          "model": "Flat",
          "chargeType": "OneOff",
          "unitCode": "text",
          "defaultQuantity": 1,
          "pricePeriod": "Monthly",
          "usageRating": "Sum",
          "createInvoiceLinesPerTier": true,
          "billingDay": "None",
          "specificBillingDay": 1,
          "billingPeriod": "Monthly",
          "periodAlignment": "None",
          "billingTiming": "InAdvance",
          "taxTemplate": "text",
          "taxIncluded": true,
          "externalERPId": "text",
          "externalCRMId": "text",
          "created": "2026-01-01T00:00:00.000Z",
          "modified": "2026-01-01T00:00:00.000Z",
          "revenueRecognition": "text",
          "deferredRevenueAccount": "text",
          "recognizedRevenueAccount": "text",
          "customFields": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "priceDetails": [
            {
              "currency": "text",
              "price": 1,
              "tier": 1,
              "description": "text",
              "fromQuantity": 1,
              "toQuantity": 1,
              "priceBase": "Flat"
            }
          ],
          "features": [
            {
              "code": "text",
              "description": "text"
            }
          ]
        }
      ],
      "customFields": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "created": "2026-01-01T00:00:00.000Z",
      "modified": "2026-01-01T00:00:00.000Z"
    }
  ],
  "externalERPId": "text",
  "externalCRMId": "text",
  "created": "2026-01-01T00:00:00.000Z",
  "modified": "2026-01-01T00:00:00.000Z",
  "legalEntityId": "123e4567-e89b-12d3-a456-426614174000",
  "customFields": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  }
}

Get Product Features

get
Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Query parameters
FilterstringOptional

Filter the results. See developer resources for more information. On endpoints whose entity supports custom fields you can also filter by custom field: customFieldEq('fieldName', 'value') (equals) or customFieldExist('fieldName') (field has a non-empty value). Custom-field functions may only be combined with and.

Example: name eq 'Adam' and age gt 20 and customFieldEq('region', 'EU')
OrderBystringOptional

Sorting the results. See developer resources for more information

Example: accountNumber Desc
ModifiedAfterstring · date-timeOptional

Apply a separate modified After filter. See 'ModifiedBefore' filter for further details.

Example: 2026-07-01
ModifiedBeforestring · date-timeOptional

Apply a separate filter to only get records that has been modified Before the specified date time.

Example: 2026-07-01
PageSizeinteger · int32Optional

Page Size

Example: 20
PageNumberinteger · int32Optional

Page Number

Example: 1
Header parameters
api-versionstringOptional
Responses
200

Success

application/json
pageNumberinteger · int32Optional
pageSizeinteger · int32Optional
totalPagesinteger · int32 · nullableOptional
totalCountinteger · int32Optional
nextPagestring · uri · nullableOptional
previousPagestring · uri · nullableOptional
firstPagestring · uri · nullableOptional
lastPagestring · uri · nullableOptional
get/Products/productFeatures
GET /Products/productFeatures HTTP/1.1
Host: api.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "pageNumber": 1,
  "pageSize": 1,
  "totalPages": 1,
  "totalCount": 1,
  "nextPage": "https://example.com",
  "previousPage": "https://example.com",
  "firstPage": "https://example.com",
  "lastPage": "https://example.com",
  "data": {
    "code": "text",
    "description": "text"
  }
}

Create Product

post
Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Header parameters
api-versionstringOptional
younium-idempotency-keystringOptional
younium-idempotency-durationInHoursintegerOptional
Body
productTypestring · enumOptionalPossible values:
namestring · nullableOptional
activationDatestring · date-time · nullableOptional
externalERPIdstring · nullableOptional
externalCRMIdstring · nullableOptional
Responses
201

Created

application/json
idstring · uuid · nullableOptional
messagestring · nullableOptional
post/Products
POST /Products HTTP/1.1
Host: api.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1057

{
  "productType": "Simple",
  "chargePlans": [
    {
      "charges": [
        {
          "PriceDetails": [
            {
              "isInfinite": true,
              "currency": "SEK",
              "price": 1,
              "description": "text",
              "priceBase": "Flat",
              "tier": 1,
              "toQuantity": 1
            }
          ],
          "features": [
            {
              "feature": {
                "key": "text",
                "value": "text"
              }
            }
          ],
          "name": "text",
          "model": "Flat",
          "chargeType": "OneOff",
          "customFields": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "externalCRMId": "text",
          "externalERPId": "text",
          "unit": "pcs",
          "pricePeriod": "Monthly",
          "usageRating": "Sum",
          "measurementsRule": "LatestDate",
          "defaultQuantity": 1,
          "billingPeriod": "Monthly",
          "periodAlignment": "None",
          "billingDay": "None",
          "billingTiming": "InAdvance",
          "specificBillingDay": 1,
          "offsetBillingDays": 1,
          "taxIncluded": true,
          "revenueRecognition": {
            "key": "text",
            "value": "text"
          },
          "taxTemplate": "Sweden standard",
          "deferredRevenueAccount": "1510",
          "recognizedRevenueAccount": "1510"
        }
      ],
      "name": "text",
      "customFields": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    }
  ],
  "name": "text",
  "category": "Add-on",
  "activationDate": "2026-01-01T00:00:00.000Z",
  "externalERPId": "text",
  "externalCRMId": "text",
  "customFields": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  }
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "message": "text"
}

Get Products

get
Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Query parameters
FilterstringOptional

Filter the results. See developer resources for more information. On endpoints whose entity supports custom fields you can also filter by custom field: customFieldEq('fieldName', 'value') (equals) or customFieldExist('fieldName') (field has a non-empty value). Custom-field functions may only be combined with and.

Example: name eq 'Adam' and age gt 20 and customFieldEq('region', 'EU')
OrderBystringOptional

Sorting the results. See developer resources for more information

Example: accountNumber Desc
ModifiedAfterstring · date-timeOptional

Apply a separate modified After filter. See 'ModifiedBefore' filter for further details.

Example: 2026-07-01
ModifiedBeforestring · date-timeOptional

Filter is also applied on sub entities: 'chargePlans', 'charges', 'chargeDetails' and 'customFields' on these entities

Example: 2026-07-01
PageSizeinteger · int32Optional

Page Size

Example: 20
PageNumberinteger · int32Optional

Page Number

Example: 1
Header parameters
api-versionstringOptional
Responses
200

Success

application/json
pageNumberinteger · int32Optional
pageSizeinteger · int32Optional
totalPagesinteger · int32 · nullableOptional
totalCountinteger · int32Optional
nextPagestring · uri · nullableOptional
previousPagestring · uri · nullableOptional
firstPagestring · uri · nullableOptional
lastPagestring · uri · nullableOptional
get/Products
GET /Products HTTP/1.1
Host: api.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "pageNumber": 1,
  "pageSize": 1,
  "totalPages": 1,
  "totalCount": 1,
  "nextPage": "https://example.com",
  "previousPage": "https://example.com",
  "firstPage": "https://example.com",
  "lastPage": "https://example.com",
  "data": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "productNumber": "text",
      "name": "text",
      "productType": "Simple",
      "category": "text",
      "activationDate": "2026-01-01T00:00:00.000Z",
      "endOfNewSalesDate": "2026-01-01T00:00:00.000Z",
      "endOfRenewalDate": "2026-01-01T00:00:00.000Z",
      "endOfLifeDate": "2026-01-01T00:00:00.000Z",
      "isFrameworkProduct": true,
      "chargePlans": [
        {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "chargePlanNumber": "text",
          "name": "text",
          "effectiveStartDate": "2026-01-01T00:00:00.000Z",
          "endOfNewSalesDate": "2026-01-01T00:00:00.000Z",
          "effectiveEndDate": "2026-01-01T00:00:00.000Z",
          "charges": [
            {
              "id": "123e4567-e89b-12d3-a456-426614174000",
              "chargeNumber": "C-000001",
              "name": "text",
              "model": "Flat",
              "chargeType": "OneOff",
              "unitCode": "text",
              "defaultQuantity": 1,
              "pricePeriod": "Monthly",
              "usageRating": "Sum",
              "createInvoiceLinesPerTier": true,
              "billingDay": "None",
              "specificBillingDay": 1,
              "billingPeriod": "Monthly",
              "periodAlignment": "None",
              "billingTiming": "InAdvance",
              "taxTemplate": "text",
              "taxIncluded": true,
              "externalERPId": "text",
              "externalCRMId": "text",
              "created": "2026-01-01T00:00:00.000Z",
              "modified": "2026-01-01T00:00:00.000Z",
              "revenueRecognition": "text",
              "deferredRevenueAccount": "text",
              "recognizedRevenueAccount": "text",
              "customFields": {
                "ANY_ADDITIONAL_PROPERTY": "anything"
              },
              "priceDetails": [
                {
                  "currency": "text",
                  "price": 1,
                  "tier": 1,
                  "description": "text",
                  "fromQuantity": 1,
                  "toQuantity": 1,
                  "priceBase": "Flat"
                }
              ],
              "features": [
                {
                  "code": "text",
                  "description": "text"
                }
              ]
            }
          ],
          "customFields": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "created": "2026-01-01T00:00:00.000Z",
          "modified": "2026-01-01T00:00:00.000Z"
        }
      ],
      "externalERPId": "text",
      "externalCRMId": "text",
      "created": "2026-01-01T00:00:00.000Z",
      "modified": "2026-01-01T00:00:00.000Z",
      "legalEntityId": "123e4567-e89b-12d3-a456-426614174000",
      "customFields": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    }
  ]
}

Update Product

patch
Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstring · uuidRequired
Header parameters
api-versionstringOptional
Body
productTypestring · enumOptionalPossible values:
namestring · nullableOptional
activationDatestring · date-time · nullableOptional
externalERPIdstring · nullableOptional
externalCRMIdstring · nullableOptional
Responses
204

No Content

No content

patch/Products/{id}
PATCH /Products/{id} HTTP/1.1
Host: api.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/merge-patch+json
Accept: */*
Content-Length: 1205

{
  "productType": "Simple",
  "chargePlans": [
    {
      "operation": "Change",
      "chargePlan": "CP-000001",
      "charges": [
        {
          "charge": {
            "key": "text",
            "value": "text"
          },
          "operation": "Change",
          "PriceDetails": [
            {
              "operation": "Change",
              "isInfinite": true,
              "currency": "SEK",
              "price": 1,
              "description": "text",
              "priceBase": "Flat",
              "tier": 1,
              "toQuantity": 1
            }
          ],
          "features": [
            {
              "operation": "Remove",
              "feature": {
                "key": "text",
                "value": "text"
              }
            }
          ],
          "name": "text",
          "model": "Flat",
          "chargeType": "OneOff",
          "customFields": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "externalCRMId": "text",
          "externalERPId": "text",
          "unit": "pcs",
          "pricePeriod": "Monthly",
          "usageRating": "Sum",
          "measurementsRule": "LatestDate",
          "defaultQuantity": 1,
          "billingPeriod": "Monthly",
          "periodAlignment": "None",
          "billingDay": "None",
          "billingTiming": "InAdvance",
          "specificBillingDay": 1,
          "offsetBillingDays": 1,
          "taxIncluded": true,
          "revenueRecognition": {
            "key": "text",
            "value": "text"
          },
          "taxTemplate": "Sweden standard",
          "deferredRevenueAccount": "1510",
          "recognizedRevenueAccount": "1510"
        }
      ],
      "name": "text",
      "customFields": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    }
  ],
  "name": "text",
  "category": "Add-on",
  "activationDate": "2026-01-01T00:00:00.000Z",
  "externalERPId": "text",
  "externalCRMId": "text",
  "customFields": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  }
}

No content

Delete product

delete

A product can only be deleted if it's not in use on any active orders.

Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstring · uuidRequired
Header parameters
api-versionstringOptional
Responses
200

Success

No content

delete/Products/{id}
DELETE /Products/{id} HTTP/1.1
Host: api.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*

No content

Get Products by Id

get
Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstring · uuidRequired
Header parameters
api-versionstringOptional
Responses
200

Success

application/json
idstring · uuidOptional
productNumberstring · nullableOptional
namestring · nullableOptional
productTypestring · enumOptionalPossible values:
categorystring · nullableOptional
activationDatestring · date-time · nullableOptional
endOfNewSalesDatestring · date-time · nullableOptional
endOfRenewalDatestring · date-time · nullableOptional
endOfLifeDatestring · date-time · nullableOptional
isFrameworkProductbooleanOptional
externalERPIdstring · nullableOptional
externalCRMIdstring · nullableOptional
createdstring · date-timeOptional
modifiedstring · date-timeOptional
legalEntityIdstring · uuidOptional
get/Products/{id}
GET /Products/{id} HTTP/1.1
Host: api.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "productNumber": "text",
  "name": "text",
  "productType": "Simple",
  "category": "text",
  "activationDate": "2026-01-01T00:00:00.000Z",
  "endOfNewSalesDate": "2026-01-01T00:00:00.000Z",
  "endOfRenewalDate": "2026-01-01T00:00:00.000Z",
  "endOfLifeDate": "2026-01-01T00:00:00.000Z",
  "isFrameworkProduct": true,
  "chargePlans": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "chargePlanNumber": "text",
      "name": "text",
      "effectiveStartDate": "2026-01-01T00:00:00.000Z",
      "endOfNewSalesDate": "2026-01-01T00:00:00.000Z",
      "effectiveEndDate": "2026-01-01T00:00:00.000Z",
      "charges": [
        {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "chargeNumber": "C-000001",
          "name": "text",
          "model": "Flat",
          "chargeType": "OneOff",
          "unitCode": "text",
          "defaultQuantity": 1,
          "pricePeriod": "Monthly",
          "usageRating": "Sum",
          "createInvoiceLinesPerTier": true,
          "billingDay": "None",
          "specificBillingDay": 1,
          "billingPeriod": "Monthly",
          "periodAlignment": "None",
          "billingTiming": "InAdvance",
          "taxTemplate": "text",
          "taxIncluded": true,
          "externalERPId": "text",
          "externalCRMId": "text",
          "created": "2026-01-01T00:00:00.000Z",
          "modified": "2026-01-01T00:00:00.000Z",
          "revenueRecognition": "text",
          "deferredRevenueAccount": "text",
          "recognizedRevenueAccount": "text",
          "customFields": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "priceDetails": [
            {
              "currency": "text",
              "price": 1,
              "tier": 1,
              "description": "text",
              "fromQuantity": 1,
              "toQuantity": 1,
              "priceBase": "Flat"
            }
          ],
          "features": [
            {
              "code": "text",
              "description": "text"
            }
          ]
        }
      ],
      "customFields": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "created": "2026-01-01T00:00:00.000Z",
      "modified": "2026-01-01T00:00:00.000Z"
    }
  ],
  "externalERPId": "text",
  "externalCRMId": "text",
  "created": "2026-01-01T00:00:00.000Z",
  "modified": "2026-01-01T00:00:00.000Z",
  "legalEntityId": "123e4567-e89b-12d3-a456-426614174000",
  "customFields": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  }
}

Update Charge

patch
Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
chargeIdstring · uuidRequired
Header parameters
api-versionstringOptional
Body
namestring · nullableOptional
modelstring · enumOptionalPossible values:
chargeTypestring · enumOptionalPossible values:
externalCRMIdstring · nullableOptional
externalERPIdstring · nullableOptional
pricePeriodstring · enumOptionalPossible values:
usageRatingstring · enumOptionalPossible values:
measurementsRulestring · enumOptionalPossible values:
defaultQuantitynumber · double · nullableOptional
billingPeriodstring · enumOptionalPossible values:
periodAlignmentstring · enumOptionalPossible values:
billingDaystring · enumOptionalPossible values:
billingTimingstring · enumOptionalPossible values:
specificBillingDayinteger · int32 · nullableOptional
offsetBillingDaysinteger · int32 · nullableOptional
taxIncludedboolean · nullableOptional
Responses
204

No Content

No content

patch/Products/charges/{chargeId}
PATCH /Products/charges/{chargeId} HTTP/1.1
Host: api.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/merge-patch+json
Accept: */*
Content-Length: 798

{
  "PriceDetails": [
    {
      "operation": "Change",
      "isInfinite": true,
      "currency": "SEK",
      "price": 1,
      "description": "text",
      "priceBase": "Flat",
      "tier": 1,
      "toQuantity": 1
    }
  ],
  "features": [
    {
      "operation": "Remove",
      "feature": {
        "key": "text",
        "value": "text"
      }
    }
  ],
  "name": "text",
  "model": "Flat",
  "chargeType": "OneOff",
  "customFields": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "externalCRMId": "text",
  "externalERPId": "text",
  "unit": "pcs",
  "pricePeriod": "Monthly",
  "usageRating": "Sum",
  "measurementsRule": "LatestDate",
  "defaultQuantity": 1,
  "billingPeriod": "Monthly",
  "periodAlignment": "None",
  "billingDay": "None",
  "billingTiming": "InAdvance",
  "specificBillingDay": 1,
  "offsetBillingDays": 1,
  "taxIncluded": true,
  "revenueRecognition": {
    "key": "text",
    "value": "text"
  },
  "taxTemplate": "Sweden standard",
  "deferredRevenueAccount": "1510",
  "recognizedRevenueAccount": "1510"
}

No content

Delete charge plan

delete

A charge plan can only be deleted if it's not in use on any active orders.

Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstring · uuidRequired
Header parameters
api-versionstringOptional
Responses
200

Success

No content

delete/Products/chargePlans/{id}
DELETE /Products/chargePlans/{id} HTTP/1.1
Host: api.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*

No content

Delete charges

delete

A charge can only be deleted if it's not in use on any active orders.

Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstring · uuidRequired
Header parameters
api-versionstringOptional
Responses
200

Success

No content

delete/Products/charges/{id}
DELETE /Products/charges/{id} HTTP/1.1
Host: api.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*

No content


Last updated

Was this helpful?